Katello - Bug #6955

Multiline alch-edit values are not rendering as multiline
08/06/2014 08:39 AM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1129090 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/461
3
Description

If you enter a multiline description, for example, it is not displayed as multiline in viewing mode.

h3.Steps to Reproduce

1. Go to the products page

2. Create or edit a product

3. Enter more than one line for the description and save
4. Notice the description is not displayed as multiline

Associated revisions

Revision d852b179 - 08/26/2014 01:49 PM - Walden Raines
Fixes #6955: using CSS to mimic a

for multiple line support.

Instead of adding linebreaks to the HTML and binding simply use
white-space: pre; to mimic a pre. This commit also removes the
linebreak filter and tests.
http://projects.theforeman.org/issues/6955

Revision d8f5b586 - 08/26/2014 01:49 PM - Walden Raines

Fixes #6955: using CSS to mimic a

for multiple line support.

Instead of adding linebreaks to the HTML and binding simply use
white-space: pre; to mimic a pre. This commit also removes the
linebreak filter and tests.
http://projects.theforeman.org/issues/6955

Revision 4a13b59b - 08/27/2014 09:00 AM - Walden Raines
Merge pull request #4613 from waldenraines/6955

Fixes #6955: using CSS to mimic a

for multiple line support.

Revision 7b956839 - 08/27/2014 09:00 AM - Walden Raines
Merge pull request #4613 from waldenraines/6955

Fixes #6955: using CSS to mimic a

for multiple line support.
History

#1 - 08/15/2014 01:34 PM - Eric Helms
- Target version deleted (54)

#2 - 08/26/2014 10:55 AM - Walden Raines

- Status changed from New to Assigned

#3 - 08/26/2014 01:48 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello/pull/4613 added
- Pull request deleted ()

#4 - 08/27/2014 09:01 AM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|d852b17987e0fb0c6251d13bf8e2f0cccifce379.

#5 - 08/27/2014 09:23 AM - Eric Helms

- Target version changed from 63 to 55

#6 - 09/12/2014 11:52 AM - Partha Aji
- Bugzilla link set to 1129090

#7 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
